diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciServiceWrapper.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciServiceWrapper.java
index 93f8a6a598..604b2cfc46 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciServiceWrapper.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/bci/BciServiceWrapper.java
@@ -1,9 +1,9 @@
 // $Id$
 /**
 * Copyright (C) 2009 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -24,7 +24,6 @@ import java.util.List;
 import java.util.Map;
 
 import org.apache.commons.lang.StringUtils;
-import org.apache.http.HttpException;
 import org.apache.http.NameValuePair;
 import org.apache.http.message.BasicNameValuePair;
 import org.apache.log4j.Logger;
@@ -34,11 +33,11 @@ import com.ibm.lsid.MalformedLSIDException;
 
 import eu.etaxonomy.cdm.api.application.ICdmApplicationConfiguration;
 import eu.etaxonomy.cdm.common.CdmUtils;
-import eu.etaxonomy.cdm.common.UriUtils;
 import eu.etaxonomy.cdm.ext.common.SchemaAdapterBase;
 import eu.etaxonomy.cdm.ext.common.ServiceWrapperBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.LSID;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.occurrence.Collection;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
@@ -54,19 +53,19 @@ import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 @Component
 public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements IBciServiceWrapper{
 	private static final Logger logger = Logger.getLogger(BciServiceWrapper.class);
-	
+
 	 private enum ServiceType{
 		 AUTHOR,
 		 NAME,
 		 PUBLICATION,
 	 }
-		
-	 
+
+
 //	private URL serviceUrl;
-	 
+
 // ******************************** CONSTRUCTOR **************************************
-	   
-	   
+
+
 //	/**
 //	 * Creates new instance of this factory and connects it to the given
 //	 * CDM Community Stores access point.
@@ -77,56 +76,54 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
 //		this.serviceUrl = webserviceUrl;
 //	}
 
-// ****************************** METHODS ****************************************************/	
-	
+// ****************************** METHODS ****************************************************/
+
 	/**
 	 *
 	 * @param restRequest
 	 * @return
 	 */
-	public List<Collection> getCollectionsByCode(String code, ICdmApplicationConfiguration appConfig){
-		
+	@Override
+    public List<Collection> getCollectionsByCode(String code, ICdmApplicationConfiguration appConfig){
+
 		SchemaAdapterBase<Collection> schemaAdapter = schemaAdapterMap.get("recordSchema");
 		if(schemaAdapter == null){
 			logger.error("No SchemaAdapter found for " + "recordSchema");
 		}
-		
+
 		String SruOperation = "searchRetrieve";
-		
+
 		List<NameValuePair> pairs = new ArrayList<NameValuePair>();
 		pairs.add(new BasicNameValuePair("code", SruOperation));
-		
+
 		Map<String, String> requestHeaders = new HashMap<String, String>();
 		requestHeaders.put("Accept-Charset", "UTF-8");
-		
+
 		try {
 			URI requestUri = createUri(null, pairs);
-			
-			
+
+
 			InputStream stream = executeHttpGet(requestUri, requestHeaders);
 			return schemaAdapter.getCmdEntities(stream);
-			
-		} catch (IOException e) { 
+
+		} catch (IOException e) {
 			// thrown by doHttpGet
 			logger.error(e);
 		} catch (URISyntaxException e) {
 			// thrown by createUri
 			logger.error(e);
-		} catch (HttpException e){
-			// thrown by createUri
-			logger.error(e);
 		}
-		
+
 //		return null;
-	
-		
-		
+
+
+
 		code = normalizeParameter(code);
 		String request = code;
-		
+
 		return (List)queryService(request, appConfig, getServiceUrl(IBciServiceWrapper.LOOKUP_CODE_REST), ServiceType.AUTHOR);
 	}
-	       
+
 
 	/**
 	 *
@@ -139,21 +136,21 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
             URL newUrl = new URL(serviceUrl.getProtocol(),
                                                      serviceUrl.getHost(),
                                                      serviceUrl.getPort(),
-                                                     serviceUrl.getPath() 
+                                                     serviceUrl.getPath()
                                                      + "" + request);
             // open a connection
             HttpURLConnection connection = (HttpURLConnection) newUrl.openConnection();
             // set the accept property to XML so we can use jdom to handle the content
             //connection.setRequestProperty("Accept", "text/xml");
-   
-           
+
+
             logger.info("Firing request for URL: " + newUrl);
-                   
+
             int responseCode = connection.getResponseCode();
-           
+
             // get the content at the resource
             InputStream content = (InputStream) connection.getContent();
-           
+
             // build the result
             List<? extends IdentifiableEntity> result;
             if (serviceType.equals(ServiceType.AUTHOR)){
@@ -170,25 +167,25 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
             }else if(responseCode == HttpURLConnection.HTTP_MULT_CHOICE){
                     return result;
             }else{
-                //TODO error handling    
+                //TODO error handling
             	logger.error("No Http_OK");
             }
-               
+
         } catch (IOException e) {
                 logger.error("No content for request: " + request);
         }
-       
+
         // error
         return null;
     }
 
 
 	private List<Collection> buildCollectionList(InputStream content, ICdmApplicationConfiguration appConfig) throws IOException {
-		List<Collection> result = new ArrayList<Collection>(); 
+		List<Collection> result = new ArrayList<Collection>();
 		BufferedReader reader = new BufferedReader (new InputStreamReader(content));
-		
+
 		String headerLine = reader.readLine();
-		
+
 		String line = reader.readLine();
 		while (StringUtils.isNotBlank(line)){
 			Collection collection = getCollectionFromLine(line, appConfig);
@@ -202,17 +199,17 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
 
 	private Collection getCollectionFromLine(String line, ICdmApplicationConfiguration appConfig) {
 		//urn:lsid:biocol.org:col:15727	http://biocol.org/urn:lsid:biocol.org:col:15727	University of Bergen Herbarium
-		String[] splits = line.split("\t");  
+		String[] splits = line.split("\t");
 		if (splits.length != 3){
 			logger.warn("Unknwon BCI line format: " + line);
 			return null;
 		}
-		String lsidString = splits[0]; 
-		String urlString = splits[1]; 
+		String lsidString = splits[0];
+		String urlString = splits[1];
 		String collectionName = splits[2];
-		
+
 		Collection result = Collection.NewInstance();
-		
+
 		//LSID
 		LSID lsid = null;
 		try {
@@ -223,18 +220,18 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
 
 		result.setLsid(lsid);
 		String id = getCollectionId(lsid);
-		
+
 		result.setName(collectionName);
-		
+
 		//id, citation
 		Reference citation = getBciCitation(appConfig);
-		result.addSource(id, null, citation, null);
-		
-		
+		result.addSource(OriginalSourceType.Lineage, id, null, citation, null);
+
+
 		return result;
 	}
 
-	
+
 	private String getCollectionId(LSID lsid) {
 		String result = lsid == null? null : lsid.getObject();
 		return result;
@@ -275,14 +272,15 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
 		return result;
 	}
 
-	
-	
+
+
 	/**
 	 * The service url
 	 *
 	 * @return the serviceUrl
 	 */
-	public URL getServiceUrl(String url) {
+	@Override
+    public URL getServiceUrl(String url) {
 		URL serviceUrl;
 		try {
 			serviceUrl = new URL(url);
@@ -292,6 +290,6 @@ public class BciServiceWrapper extends ServiceWrapperBase<Collection> implements
 		return serviceUrl;
 	}
 
-		
-	
+
+
 }
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQuery.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQuery.java
new file mode 100644
index 0000000000..f30c6853ec
--- /dev/null
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQuery.java
@@ -0,0 +1,194 @@
+// $Id$
+/**
+* Copyright (C) 2013 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.ext.biocase;
+
+import java.util.Date;
+
+/**
+ * Holds query parameters for a query to a BioCase provider.
+ * @author pplitzner
+ * @date 17.09.2013
+ *
+ */
+public class BioCaseQuery {
+    public String taxonName;
+    public String collector;
+    public String collectorsNumber;
+    public String accessionNumber;
+    public String herbarium;
+    public String country;
+    public String locality;
+    public Date date;
+
+    /**
+     * Default constructor which initializes all parameters with <code>null</code>
+     */
+    public BioCaseQuery() {
+        taxonName = null;
+        collector = null;
+        collectorsNumber = null;
+        accessionNumber = null;
+        herbarium = null;
+        country = null;
+        locality = null;
+        date = null;
+    }
+
+    /**
+     * Constructor to initially set the parameters
+     * @param taxonName
+     * @param collector
+     * @param collectorsNumber
+     * @param accessionNumber
+     * @param herbarium
+     * @param country
+     * @param locality
+     * @param date
+     */
+    public BioCaseQuery(String taxonName, String collector, String collectorsNumber, String accessionNumber, String herbarium, String country, String locality, Date date) {
+        this.taxonName = taxonName;
+        this.collector = collector;
+        this.collectorsNumber = collectorsNumber;
+        this.accessionNumber = accessionNumber;
+        this.herbarium = herbarium;
+        this.country = country;
+        this.locality = locality;
+        this.date = date;
+    }
+
+    /* (non-Javadoc)
+     * @see java.lang.Object#hashCode()
+     */
+    @Override
+    public int hashCode() {
+        final int prime = 31;
+        int result = 1;
+        result = prime * result + ((accessionNumber == null) ? 0 : accessionNumber.hashCode());
+        result = prime * result + ((collector == null) ? 0 : collector.hashCode());
+        result = prime * result + ((collectorsNumber == null) ? 0 : collectorsNumber.hashCode());
+        result = prime * result + ((country == null) ? 0 : country.hashCode());
+        result = prime * result + ((date == null) ? 0 : date.hashCode());
+        result = prime * result + ((herbarium == null) ? 0 : herbarium.hashCode());
+        result = prime * result + ((locality == null) ? 0 : locality.hashCode());
+        result = prime * result + ((taxonName == null) ? 0 : taxonName.hashCode());
+        return result;
+    }
+
+    /* (non-Javadoc)
+     * @see java.lang.Object#equals(java.lang.Object)
+     */
+    @Override
+    public boolean equals(Object obj) {
+        if (this == obj) {
+            return true;
+        }
+        if (obj == null) {
+            return false;
+        }
+        if (getClass() != obj.getClass()) {
+            return false;
+        }
+        BioCaseQuery other = (BioCaseQuery) obj;
+        if (accessionNumber == null) {
+            if (other.accessionNumber != null) {
+                return false;
+            }
+        } else if (!accessionNumber.equals(other.accessionNumber)) {
+            return false;
+        }
+        if (collector == null) {
+            if (other.collector != null) {
+                return false;
+            }
+        } else if (!collector.equals(other.collector)) {
+            return false;
+        }
+        if (collectorsNumber == null) {
+            if (other.collectorsNumber != null) {
+                return false;
+            }
+        } else if (!collectorsNumber.equals(other.collectorsNumber)) {
+            return false;
+        }
+        if (country == null) {
+            if (other.country != null) {
+                return false;
+            }
+        } else if (!country.equals(other.country)) {
+            return false;
+        }
+        if (date == null) {
+            if (other.date != null) {
+                return false;
+            }
+        } else if (!date.equals(other.date)) {
+            return false;
+        }
+        if (herbarium == null) {
+            if (other.herbarium != null) {
+                return false;
+            }
+        } else if (!herbarium.equals(other.herbarium)) {
+            return false;
+        }
+        if (locality == null) {
+            if (other.locality != null) {
+                return false;
+            }
+        } else if (!locality.equals(other.locality)) {
+            return false;
+        }
+        if (taxonName == null) {
+            if (other.taxonName != null) {
+                return false;
+            }
+        } else if (!taxonName.equals(other.taxonName)) {
+            return false;
+        }
+        return true;
+    }
+
+    /* (non-Javadoc)
+     * @see java.lang.Object#toString()
+     */
+    @Override
+    public String toString() {
+        String string = "BioCaseQuery ";
+        if(taxonName!=null){
+            string += " taxonName=" + taxonName;
+        }
+        if(collector!=null){
+            string += " collector=" + collector;
+        }
+        if(collectorsNumber!=null){
+            string += " collectorsNumber=" + collectorsNumber;
+        }
+        if(accessionNumber!=null){
+            string += " accessionNumber=" + accessionNumber;
+        }
+        if(herbarium!=null){
+            string += " herbarium=" + herbarium;
+        }
+        if(country!=null){
+            string += " country=" + country;
+        }
+        if(locality!=null){
+            string += " locality=" + locality;
+        }
+        if(date!=null){
+            string += " date=" + date;
+        }
+        return string;
+    }
+
+
+
+
+}
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryGenerator.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryGenerator.java
new file mode 100644
index 0000000000..7f8afcd0fb
--- /dev/null
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryGenerator.java
@@ -0,0 +1,90 @@
+// $Id$
+/**
+* Copyright (C) 2013 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.ext.biocase;
+
+import org.jdom.Document;
+import org.jdom.Element;
+import org.jdom.Namespace;
+
+/**
+ * @author pplitzner
+ * @date 13.09.2013
+ *
+ */
+public class BioCaseQueryGenerator {
+/*
+<?xml version='1.0' encoding='UTF-8'?>
+<request xmlns='http://www.biocase.org/schemas/protocol/1.3'>
+  <header><type>search</type></header>
+  <search>
+    <requestFormat>http://www.tdwg.org/schemas/abcd/2.06</requestFormat>
+    <responseFormat start='0' limit='10'>http://www.tdwg.org/schemas/abcd/2.06</responseFormat>
+      <filter>
+        <like path='/DataSets/DataSet/Units/Unit/Identifications/Identification/Result/TaxonIdentified/ScientificName/FullScientificNameString'>A*</like>
+      </filter>
+      <count>false</count>
+  </search>
+</request>
+*/
+
+    private static final String FALSE = "false";
+    private static final String taxonNamePath_ABCD_2_0 = "/DataSets/DataSet/Units/Unit/Identifications/Identification/Result/TaxonIdentified/ScientificName/FullScientificNameString";
+    private static final String PATH = "path";
+    private static final String LIMIT = "limit";
+    private static final String START = "start";
+    private static final String ABCD_SCHEMA_2_0 = "http://www.tdwg.org/schemas/abcd/2.06";
+    private static final String COUNT = "count";
+    private static final String LIKE = "like";
+    private static final String FILTER = "filter";
+    private static final String RESPONSE_FORMAT = "responseFormat";
+    private static final String REQUEST_FORMAT = "requestFormat";
+    private static final String SEARCH = "search";
+    private static final String TYPE = "type";
+    private static final String HEADER = "header";
+    private static final String REQUEST = "request";
+    private static final String NAMESPACE = "http://www.biocase.org/schemas/protocol/1.3";
+
+    public Document generateXMLQuery(BioCaseQuery query){
+        Document document = new Document();
+        Element elRequest = new Element(REQUEST, Namespace.getNamespace(NAMESPACE));
+        Element elHeader = new Element(HEADER);
+        Element elType = new Element(TYPE);
+        Element elSearch = new Element(SEARCH);
+        Element elRequestFormat = new Element(REQUEST_FORMAT);
+        Element elResponseFormat = new Element(RESPONSE_FORMAT);
+        Element elFilter = new Element(FILTER);
+        Element elLike = new Element(LIKE);
+        Element elCount = new Element(COUNT);
+
+        document.setRootElement(elRequest);
+        elRequest.addContent(elHeader);
+        elHeader.addContent(elType);
+        elType.addContent(SEARCH);
+
+        elRequest.addContent(elSearch);
+        elSearch.addContent(elRequestFormat);
+        elRequestFormat.addContent(ABCD_SCHEMA_2_0);
+
+        elSearch.addContent(elResponseFormat);
+        elResponseFormat.setAttribute(START, "0");
+        elResponseFormat.setAttribute(LIMIT, "10");
+        elResponseFormat.addContent(ABCD_SCHEMA_2_0);
+
+        elSearch.addContent(elFilter);
+        elFilter.addContent(elLike);
+        elLike.setAttribute(PATH, taxonNamePath_ABCD_2_0);
+        elLike.addContent(query.taxonName);
+
+        elSearch.addContent(elCount);
+        elCount.addContent(FALSE);
+
+        return document;
+    }
+}
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapper.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapper.java
new file mode 100644
index 0000000000..f13b735353
--- /dev/null
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseQueryServiceWrapper.java
@@ -0,0 +1,109 @@
+// $Id$
+/**
+* Copyright (C) 2013 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.ext.biocase;
+
+import java.io.IOException;
+import java.io.InputStream;
+import java.net.URI;
+import java.net.URISyntaxException;
+import java.util.ArrayList;
+import java.util.List;
+
+import org.apache.http.NameValuePair;
+import org.apache.http.client.ClientProtocolException;
+import org.apache.http.client.entity.UrlEncodedFormEntity;
+import org.jdom.Document;
+import org.jdom.output.Format;
+import org.jdom.output.XMLOutputter;
+
+import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
+import eu.etaxonomy.cdm.ext.common.ServiceWrapperBase;
+import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationType;
+
+/**
+ * @author pplitzner
+ * @date 13.09.2013
+ *
+ */
+public class BioCaseQueryServiceWrapper extends ServiceWrapperBase<SpecimenOrObservationBase>{
+//    String content =
+//          "<entry xmlns='http://www.w3.org/2005/Atom'>"
+//          + "<content>" + comment + "</content>"
+//          + "<category scheme='http://schemas.google.com/g/2005#kind'"
+//          + " term='http://schemas.google.com/photos/2007#comment'/>"
+//          + "</entry>";
+//
+//      try {
+//          StringEntity entity = new StringEntity(content);
+//          entity.setContentType(new BasicHeader("Content-Type",
+//              "application/atom+xml"));
+//          postRequest.setEntity(entity);
+
+    private final BioCaseResponseSchemaAdapter schemaAdapter;
+
+    /**
+     * Constructs a new BioCaseServiceWrapper with the baseUrl: <i>http://ww3.bgbm.org/biocase/pywrapper.cgi</i>
+     */
+    public BioCaseQueryServiceWrapper() {
+        setBaseUrl("http://ww3.bgbm.org");
+        schemaAdapter = new BioCaseResponseSchemaAdapter();
+        addSchemaAdapter(schemaAdapter);
+    }
+
+    /**
+     * Queries the BioCASE provider with the given {@link BioCaseQuery}.
+     * @return The response as an {@link InputStream}
+     */
+    public InputStream query(BioCaseQuery query) throws ClientProtocolException, IOException, URISyntaxException{
+        Document doc = new BioCaseQueryGenerator().generateXMLQuery(query);
+        String xmlOutputString = new XMLOutputter(Format.getPrettyFormat()).outputString(doc);
+
+        List<NameValuePair> queryParamsPOST = new ArrayList<NameValuePair>();
+        addNameValuePairTo(queryParamsPOST, "Submit", "Submit");
+        addNameValuePairTo(queryParamsPOST, "query", xmlOutputString);
+        UrlEncodedFormEntity httpEntity = new UrlEncodedFormEntity(queryParamsPOST);
+        List<NameValuePair> queryParamsGET = new ArrayList<NameValuePair>();
+        addNameValuePairTo(queryParamsGET, "dsa", "herbar");
+        URI uri = createUri("/biocase/pywrapper.cgi", queryParamsGET);
+
+        return executeHttpPost(uri, null, httpEntity);
+//        InputStream responseStream = executeHttpPost(new URI("http", "ww3.bgbm.org", "/biocase/pywrapper.cgi" , "dsa=Herbar", null), null, httpEntity);
+//        try {
+//            results = schemaAdapter.getCmdEntities(responseStream);
+//        } catch (ClientProtocolException e) {
+//            logger.error(e);
+//        } catch (IOException e) {
+//            logger.error(e);
+//        }
+//        return results;
+    }
+
+    public List<SpecimenOrObservationBase> dummyData(){
+        List<SpecimenOrObservationBase> results = new ArrayList<SpecimenOrObservationBase>();
+        DerivedUnitFacade unit1 = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.PreservedSpecimen);
+//        newInstance.setTitleCache("Test Specimen", true);
+        unit1.setCollectingMethod("Collected from the ground");
+        unit1.setAccessionNumber("ACC-12345");
+        unit1.setLocality("locality");
+        unit1.setCountry(NamedArea.EUROPE());
+
+        DerivedUnitFacade unit2 = DerivedUnitFacade.NewInstance(SpecimenOrObservationType.PreservedSpecimen);
+        unit1.setTitleCache("Test Specimen 2", false);
+        unit2.setCollectingMethod("Collected from the ground");
+        unit2.setAccessionNumber("ACC-67890");
+        unit2.setLocality("solid ground close to car park");
+        unit2.setCountry(NamedArea.EUROPE());
+        results.add(unit1.innerDerivedUnit());
+        results.add(unit2.innerDerivedUnit());
+        return results;
+    }
+}
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseResponseSchemaAdapter.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseResponseSchemaAdapter.java
new file mode 100644
index 0000000000..ff39ebcaab
--- /dev/null
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/biocase/BioCaseResponseSchemaAdapter.java
@@ -0,0 +1,51 @@
+// $Id$
+/**
+* Copyright (C) 2013 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/
+package eu.etaxonomy.cdm.ext.biocase;
+
+import java.io.IOException;
+import java.io.InputStream;
+import java.net.URI;
+import java.util.List;
+
+import eu.etaxonomy.cdm.ext.common.SchemaAdapterBase;
+import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
+
+/**
+ * @author pplitzner
+ * @date 16.09.2013
+ *
+ */
+public class BioCaseResponseSchemaAdapter extends SchemaAdapterBase<SpecimenOrObservationBase> {
+
+    /* (non-Javadoc)
+     * @see eu.etaxonomy.cdm.ext.common.SchemaAdapterBase#getIdentifier()
+     */
+    @Override
+    public URI getIdentifier() {
+        return null;
+    }
+
+    /* (non-Javadoc)
+     * @see eu.etaxonomy.cdm.ext.common.SchemaAdapterBase#getShortName()
+     */
+    @Override
+    public String getShortName() {
+        return "bioCaseAdapter";
+    }
+
+    /* (non-Javadoc)
+     * @see eu.etaxonomy.cdm.ext.common.SchemaAdapterBase#getCmdEntities(java.io.InputStream)
+     */
+    @Override
+    public List<SpecimenOrObservationBase> getCmdEntities(InputStream inputStream) throws IOException {
+        return null;
+    }
+
+}
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/ServiceWrapperBase.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/ServiceWrapperBase.java
index 2b486c1518..0209a8a899 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/ServiceWrapperBase.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/common/ServiceWrapperBase.java
@@ -1,9 +1,9 @@
 // $Id$
 /**
 * Copyright (C) 2009 EDIT
-* European Distributed Institute of Taxonomy 
+* European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
-* 
+*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
@@ -19,14 +19,15 @@ import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
 
-import org.apache.http.HttpException;
+import org.apache.http.HttpEntity;
 import org.apache.http.HttpResponse;
-import org.apache.http.HttpStatus;
 import org.apache.http.NameValuePair;
+import org.apache.http.client.ClientProtocolException;
 import org.apache.http.message.BasicNameValuePair;
 import org.apache.log4j.Logger;
 
 import eu.etaxonomy.cdm.common.UriUtils;
+import eu.etaxonomy.cdm.common.UriUtils.HttpMethod;
 import eu.etaxonomy.cdm.model.common.CdmBase;
 
 /**
@@ -35,12 +36,12 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
  *
  */
 public class ServiceWrapperBase<T extends CdmBase> {
-	
+
 	public static final Logger logger = Logger.getLogger(ServiceWrapperBase.class);
-	
-	protected URL baseUrl;
-	
-	protected boolean followRedirects = true;
+
+	private URL baseUrl;
+
+	private boolean followRedirects = true;
 
 	protected Map<String, SchemaAdapterBase<T>> schemaAdapterMap;
 
@@ -68,7 +69,7 @@ public class ServiceWrapperBase<T extends CdmBase> {
 	public void setSchemaAdapterMap(Map<String, SchemaAdapterBase<T>> schemaAdapterMap) {
 		this.schemaAdapterMap = schemaAdapterMap;
 	}
-	
+
 	public void addSchemaAdapter(SchemaAdapterBase schemaAdapter){
 		if(schemaAdapterMap == null){
 			schemaAdapterMap = new HashMap<String, SchemaAdapterBase<T>>();
@@ -83,40 +84,55 @@ public class ServiceWrapperBase<T extends CdmBase> {
 	public Map<String, SchemaAdapterBase<T>> getSchemaAdapterMap() {
 		return schemaAdapterMap;
 	}
-	
-	
-	protected InputStream executeHttpGet(URI uri, Map<String, String> requestHeaders) throws HttpException, IOException{
-		
-        logger.debug("sending GET request: " + uri);
-        
-        HttpResponse response = UriUtils.getResponse(uri, requestHeaders);
-
-        if(UriUtils.isOk(response)){
-        	InputStream stream = response.getEntity().getContent();
-        	return stream;
-        } else {
-        	logger.error("HTTP Reponse code is not = 200 (OK): " + UriUtils.getStatus(response));
-        	return null;
-        }
+
+
+	protected InputStream executeHttpGet(URI uri, Map<String, String> requestHeaders) throws ClientProtocolException, IOException{
+        return executeHttp(uri, requestHeaders, HttpMethod.GET, null);
+	}
+
+	protected InputStream executeHttpPost(URI uri, Map<String, String> requestHeaders, HttpEntity httpEntity) throws ClientProtocolException, IOException{
+	    return executeHttp(uri, requestHeaders, HttpMethod.POST, httpEntity);
 	}
-	
-	public static void addNewPairNN(List<NameValuePair> listOfPairs, String name, String value){
+
+    /**
+     * @param uri
+     * @param requestHeaders
+     * @param httpMethod
+     * @return
+     * @throws IOException
+     * @throws ClientProtocolException
+     */
+    private InputStream executeHttp(URI uri, Map<String, String> requestHeaders, HttpMethod httpMethod, HttpEntity entity) throws IOException, ClientProtocolException {
+        logger.debug("sending "+httpMethod+" request: " + uri);
+
+	    HttpResponse response = UriUtils.getResponseByType(uri, requestHeaders, httpMethod, entity);
+
+	    if(UriUtils.isOk(response)){
+	        InputStream stream = response.getEntity().getContent();
+	        return stream;
+	    } else {
+	        logger.error("HTTP Reponse code is not = 200 (OK): " + UriUtils.getStatus(response));
+	        return null;
+	    }
+    }
+
+	public static void addNameValuePairTo(List<NameValuePair> listOfPairs, String name, String value){
 		if(value != null){
-			listOfPairs.add(new BasicNameValuePair(name, value));
+		    listOfPairs.add(new BasicNameValuePair(name, value));
 		}
 	}
-	
-	public static void addNewPairNN(List<NameValuePair> listOfPairs, String name, Object value){
+
+	public static void addNameValuePairTo(List<NameValuePair> listOfPairs, String name, Object value){
 		if(value != null){
-			listOfPairs.add(new BasicNameValuePair(name, value.toString()));
+		    listOfPairs.add(new BasicNameValuePair(name, value.toString()));
 		}
 	}
-	
+
 
 	protected URI createUri(String subPath, List<NameValuePair> qparams) throws	URISyntaxException {
-		
+
 		return UriUtils.createUri(baseUrl, subPath, qparams, null);
-		
+
 //		String path = baseUrl.getPath();
 //		if(subPath != null){
 //			if(!path.endsWith("/")){
diff --git a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/dc/DublinCoreSchemaAdapter.java b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/dc/DublinCoreSchemaAdapter.java
index 5da56397bb..b248324ade 100644
--- a/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/dc/DublinCoreSchemaAdapter.java
+++ b/cdmlib-ext/src/main/java/eu/etaxonomy/cdm/ext/dc/DublinCoreSchemaAdapter.java
@@ -30,6 +30,7 @@ import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
+import eu.etaxonomy.cdm.strategy.parser.TimePeriodParser;
 
 
 
@@ -168,7 +169,7 @@ public class DublinCoreSchemaAdapter extends SchemaAdapterBase<Reference>{
 					reference.setTitleCache(text, true);
 				}
 				if(dcFieldName.equals(DC_DATE)){
-					reference.setDatePublished(TimePeriod.parseString(text));
+					reference.setDatePublished(TimePeriodParser.parseString(text));
 				}
 				if(dcFieldName.equals(DC_PUBLISHER)){
 					reference.setPublisher(text);
